.foc-card {
 	background: #fff;
	border-left: 1px solid #eee;
}
.flipout {
	text-align: center;
}


.foc-main {
  position: relative;
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	align-items: center;
}


.foc-card.foc-open{
  opacity: 1;
  -webkit-transform: rotateY(0);
  -moz-transform: rotateY(0);
  -ms-transform: rotateY(0);
  -o-transform: rotateY(0);
  transform: rotateY(0);
}

.foc-wrapper {
  display: block;
  position: absolute;
  width: 379px;
  height: 350px;
  -webkit-perspective: 640px;
  -moz-perspective: 640px;
  -ms-perspective: 640px;
  -o-perspective: 640px;
  perspective: 640px;
  
}

.foc-left-wrapper {
  top: 0;
  right: 100%;
}
.foc-right-wrapper {
  top: 0;
  left: 100%;
}
.foc-top-wrapper {
  bottom: 100%;
  left: 0px;
  width: 100%;
  height: 270px;
  
}

.foc-bottom-wrapper {
  top: 100%;
  left: -50%;
  width: 160%;
  z-index:99999;
}

/* 吹き出し本体 */
.foc-card {
  background: #fff;
  position: relative;
  padding:0px;
  border: 1px solid #ddd;
  border-radius: 3px;		/* CSS3草案 */
  -webkit-border-radius: 3px;	/* Safari,Google Chrome用 */
  -moz-border-radius: 3px;	/* Firefox用 */
  opacity: 0;
  -webkit-transform-origin: 100% 50%;
  -moz-transform-origin: 100% 50%;
  -ms-transform-origin: 100% 50%;
  -o-transform-origin: 100% 50%;
  transform-origin: 100% 50%;
  -webkit-transition: all .15s ease-in-out;
  -moz-transition: all .15s ease-in-out;
  -ms-transition: all .15s ease-in-out;
  -o-transition: all .15s ease-in-out;
  transition: all .15s ease-in-out;
box-shadow: 0px 5px 5px rgba(0,0,0,0.1);
}

/* beforeで枠線の三角を表現 */
.foc-card::before{
  content: '';
  position: absolute;
  display: block;
  width: 0;
  height: 0;
  right: 20px;
  top: -10px;
  border-right: 10px solid transparent;
  border-bottom: 10px solid #ddd;
  border-left: 10px solid transparent;
}

/* beforeで本体の三角を表現 */
.foc-card::after{
  content: '';
  position: absolute;
  display: block;
  width: 0;
  height: 0;
  right: 20px;
  top: -9px;
  border-right: 10px solid transparent;
  border-bottom: 10px solid #fff;
  border-left: 10px solid transparent;
}

.foc-bottom dt{
font-weight:bold;
font-size:14px;
color:#2e2e2e;
text-align:left;
padding:8px 15px;
border-bottom: 1px solid #ddd;
background:url(../images/company_list_search_area_icon01.png) 95% center no-repeat;
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	align-items: center;
}
.foc-bottom dd{
background-color:#edecec;
text-align:left;
padding:2px 15px;
font-size:13px;
font-weight:normal;
color:#2e2e2e;
cursor:default;
}
.foc-bottom dt:last-child {border:none;}
.foc-bottom dt a {}
.foc-bottom dt a:hover {color:#2bb0ed;}


.foc-foldout.foc-left {
  -webkit-transform: rotateX(0) translate3d(100%, 0, 0);
  -moz-transform: rotateX(0) translate3d(100%, 0, 0);
  -ms-transform: rotateX(0) translate3d(100%, 0, 0);
  -o-transform: rotateX(0) translate3d(100%, 0, 0);
  transform: rotateY(0) translate3d(100%, 0, 0);
}
.foc-foldout.foc-right {
  -webkit-transform: rotateX(0) translate3d(-100%, 0, 0);
  -moz-transform: rotateX(0) translate3d(-100%, 0, 0);
  -ms-transform: rotateX(0) translate3d(-100%, 0, 0);
  -o-transform: rotateX(0) translate3d(-100%, 0, 0);
  transform: rotateY(0) translate3d(-100%, 0, 0);
}
.foc-foldout.foc-top {
  -webkit-transform: rotateX(0) translate3d(0, 100%, 0);
  -moz-transform: rotateX(0) translate3d(0, 100%, 0);
  -ms-transform: rotateX(0) translate3d(0, 100%, 0);
  -o-transform: rotateX(0) translate3d(0, 100%, 0);
  transform: rotateY(0) translate3d(0, 100%, 0);
}
.foc-foldout.foc-bottom {
  -webkit-transform: rotateX(0) translate3d(0, -100%, 0);
  -moz-transform: rotateX(0) translate3d(0, -100%, 0);
  -ms-transform: rotateX(0) translate3d(0, -100%, 0);
  -o-transform: rotateX(0) translate3d(0, -100%, 0);
  transform: rotateY(0) translate3d(0, -100%, 0);
}


.foc-foldout.foc-open {
  -webkit-transform: rotateY(35deg) translate3d(0, 0, 0);
  -moz-transform: rotateY(35deg) translate3d(0, 0, 0);
  -ms-transform: rotateY(35deg) translate3d(0, 0, 0);
  -o-transform: rotateY(35deg) translate3d(0, 0, 0);
  transform: rotateY(35deg) translate3d(0, 0, 0);
}

.foc-foldout.foc-open:nth-child(even) {
  -webkit-transform: rotateY(-35deg) translate3d(0, 0, 0);
  -moz-transform: rotateY(-35deg) translate3d(0, 0, 0);
  -ms-transform: rotateY(-35deg) translate3d(0, 0, 0);
  -o-transform: rotateY(-35deg) translate3d(0, 0, 0);
  transform: rotateY(-35deg) translate3d(0, 0, 0);
  -webkit-transform-origin: 0% 50%;
  -moz-transform-origin: 0% 50%;
  -ms-transform-origin: 0% 50%;
  -o-transform-origin: 0% 50%;
  background: #fff;
}

.foc-foldout.foc-right.foc-open {
  -webkit-transform: rotateY(-35deg) translate3d(0, 0, 0);
  -moz-transform: rotateY(-35deg) translate3d(0, 0, 0);
  -ms-transform: rotateY(-35deg) translate3d(0, 0, 0);
  -o-transform: rotateY(-35deg) translate3d(0, 0, 0);
  transform: rotateY(-35deg) translate3d(0, 0, 0);
}

.foc-foldout.foc-right.foc-open:nth-child(even) {
  -webkit-transform: rotateY(35deg) translate3d(0, 0, 0);
  -moz-transform: rotateY(35deg) translate3d(0, 0, 0);
  -ms-transform: rotateY(35deg) translate3d(0, 0, 0);
  -o-transform: rotateY(35deg) translate3d(0, 0, 0);
  transform: rotateY(35deg) translate3d(0, 0, 0);
  -webkit-transform-origin: 100% 50%;
  -moz-transform-origin: 100% 50%;
  -ms-transform-origin: 100% 50%;
  -o-transform-origin:100% 50%;
  background: #fff;
}

.foc-foldout.foc-top.foc-open.even {
  -webkit-transform: rotateX(-35deg) translate3d(0, 0, 0);
  -moz-transform: rotateX(-35deg) translate3d(0, 0, 0);
  -ms-transform: rotateX(-35deg) translate3d(0, 0, 0);
  -o-transform: rotateX(-35deg) translate3d(0, 0, 0);
  transform: rotateX(-35deg) translate3d(0, 0, 0);
  -webkit-transform-origin: 0% 0%;
  -moz-transform-origin: 0% 0%;
  -ms-transform-origin: 0% 0%;
  -o-transform-origin: 0% 0%;
  
}

.foc-foldout.foc-top.foc-open.odd {
  -webkit-transform: rotateX(35deg) translate3d(0, 0, 0);
  -moz-transform: rotateX(35deg) translate3d(0, 0, 0);
  -ms-transform: rotateX(35deg) translate3d(0, 0, 0);
  -o-transform: rotateX(35deg) translate3d(0, 0, 0);
  transform: rotateX(35deg) translate3d(0, 0, 0);
  -webkit-transform-origin: 50% 100%;
  -moz-transform-origin: 50% 100%;
  -ms-transform-origin: 50% 100%;
  -o-transform-origin: 50% 100%;
  background: #fff;
}

.foc-foldout.foc-bottom.foc-open{
  -webkit-transform: rotateX(-35deg) translate3d(0, 0, 0);
  -moz-transform: rotateX(-35deg) translate3d(0, 0, 0);
  -ms-transform: rotateX(-35deg) translate3d(0, 0, 0);
  -o-transform: rotateX(-35deg) translate3d(0, 0, 0);
  transform: rotateX(-35deg) translate3d(0, 0, 0);
  -webkit-transform-origin: 0% 0%;
  -moz-transform-origin: 0% 0%;
  -ms-transform-origin: 0% 0%;
  -o-transform-origin: 0% 0%;
  
}

.foc-foldout.foc-bottom.foc-open:nth-child(even)  {
  -webkit-transform: rotateX(35deg) translate3d(0, 0, 0);
  -moz-transform: rotateX(35deg) translate3d(0, 0, 0);
  -ms-transform: rotateX(35deg) translate3d(0, 0, 0);
  -o-transform: rotateX(35deg) translate3d(0, 0, 0);
  transform: rotateX(35deg) translate3d(0, 0, 0);
  -webkit-transform-origin: 50% 100%;
  -moz-transform-origin: 50% 100%;
  -ms-transform-origin: 50% 100%;
  -o-transform-origin: 50% 100%;
  background: #fff;
}

.foc-foldout.foc-left.foc-open {
  left: 50px;
}

.foc-foldout.foc-left.foc-open:first-child {
  left: 0;
}

.foc-foldout.foc-right.foc-open {
  right: 50px;
}

.foc-foldout.foc-right.foc-open:first-child {
  right: 0;
}

.foc-foldout.foc-top.foc-open {
  top: 50px;
}

.foc-foldout.foc-top.foc-open:last-child {
  top: 0;
}

.foc-foldout.foc-bottom.foc-open {
  top: -50px;
}

.foc-foldout.foc-bottom.foc-open:first-child {
  top: 0;
}

.foc-slideout.foc-left {
  -webkit-transform: rotateY(0deg) translate3d(100%, 0, 0);
  -moz-transform: rotateY(0deg) translate3d(100%, 0, 0);
  -ms-transform: rotateY(0deg) translate3d(100%, 0, 0);
  -o-transform: rotateY(0deg) translate3d(100%, 0, 0);
  transform: rotateY(0deg) translate3d(100%, 0, 0);
}

.foc-slideout.foc-right {
  -webkit-transform: rotateY(0deg) translate3d(-100%, 0, 0);
  -moz-transform: rotateY(0deg) translate3d(-100%, 0, 0);
  -ms-transform: rotateY(0deg) translate3d(-100%, 0, 0);
  -o-transform: rotateY(0deg) translate3d(-100%, 0, 0);
  transform: rotateY(0deg) translate3d(-100%, 0, 0);
}


.foc-slideout.foc-top {
  -webkit-transform: rotateY(0deg) translate3d(0, 100%, 0);
  -moz-transform: rotateY(0deg) translate3d(0, 100%, 0);
  -ms-transform: rotateY(0deg) translate3d(0, 100%, 0);
  -o-transform: rotateY(0deg) translate3d(0, 100%, 0);
  transform: rotateY(0deg) translate3d(0, 100%, 0);
}


.foc-slideout.foc-bottom {
  -webkit-transform: rotateY(0deg) translate3d(0, -100%, 0);
  -moz-transform: rotateY(0deg) translate3d(0, -100%, 0);
  -ms-transform: rotateY(0deg) translate3d(0, -100%, 0);
  -o-transform: rotateY(0deg) translate3d(0, -100%, 0);
  transform: rotateY(0deg) translate3d(0, -100%, 0);
}

.foc-slideout.foc-open {
  -webkit-transform: rotateY(0deg) translate3d(0, 0, 0);
  -moz-transform: rotateY(0deg) translate3d(0, 0, 0);
  -ms-transform: rotateY(0deg) translate3d(0, 0, 0);
  -o-transform: rotateY(0deg) translate3d(0, 0, 0);
  transform: rotateY(0deg) translate3d(0, 0, 0);
}


.foc-left {
  float: right;
  -webkit-transform: rotateY(-90deg);
  -moz-transform: rotateY(-90deg);
  -ms-transform: rotateY(-90deg);
  -o-transform: rotateY(-90deg);
  transform: rotateY(-90deg);
}

.foc-right {
  float: left;
  -webkit-transform: rotateY(90deg);
  -moz-transform: rotateY(90deg);
  -ms-transform: rotateY(90deg);
  -o-transform: rotateY(90deg);
  transform: rotateY(90deg);
  -webkit-transform-origin: 0% 50%;
  -moz-transform-origin: 0% 50%;
  -ms-transform-origin: 0% 50%;
  -o-transform-origin: 0% 50%;
  transform-origin: 0% 50%;
}

.foc-top {
  float: left;
  height: 136px;
  width: 100%;
  -webkit-transform: rotateX(90deg);
  -moz-transform: rotateX(90deg);
  -ms-transform: rotateX(90deg);
  -o-transform: rotateX(90deg);
  transform: rotateX(90deg);
  -webkit-transform-origin: 100% 100%;
  -moz-transform-origin: 100% 100%;
  -ms-transform-origin: 100% 100%;
  -o-transform-origin: 100% 100%;
  transform-origin: 100% 100%;
}

.foc-bottom {
  float: left;
  width: 100%;
  -webkit-transform: rotateX(-90deg);
  -moz-transform: rotateX(-90deg);
  -ms-transform: rotateX(-90deg);
  -o-transform: rotateX(-90deg);
  transform: rotateX(-90deg);
  -webkit-transform-origin: 100% 0%;
  -moz-transform-origin: 100% 0%;
  -ms-transform-origin: 100% 0%;
  -o-transform-origin: 100% 0%;
  transform-origin: 100% 0%;
}

